using System.ComponentModel;

namespace RB_MES_API.Models.Pangu
{
    /// <summary>
    /// 即时库存信息
    /// </summary>
    public class XCL
    {
        /// <summary>
        /// 查询条件之一
        /// </summary>

        [DisplayName("物料编码")]
        public string MTRL_ID { get; set; }=string.Empty;
        /// <summary>
        /// 查询条件之二
        /// </summary>
        [DisplayName("仓库编码")]
        public string STORE_ID { get; set; } = string.Empty;
        /// <summary>
        /// 可以为空
        /// </summary>
        [DisplayName("批次")]
        public string ERP_LOTNO { get; set; } = string.Empty;
        /// <summary>
        /// 可以默认现存量
        /// </summary>
        [DisplayName("可用量")]
        public string CL_QTY { get; set; } = string.Empty;
        /// <summary>
        /// 库存单位的数量，还是基本单位的数量？
        /// </summary>
        [DisplayName("现存量")]
        public string BL_QTY { get; set; } = string.Empty;

        public string MTRL_VER { get; set; } = string.Empty;
    }
}
